
Foreman - Bug #18933

OS: unify description vs title - replace description with title on UI

03/16/2017 08:46 AM - Swapnil Abnave

Status: Pending   

Priority: Normal   

Assignee: Swapnil Abnave   

Category:    

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Descriptions are currently searchable independently of titles. Also, API returns them as separate fields. Other than that they aren't

really exposed anywhere and they serve only as a source for the title (which is description shortened to 255 characters). So the

current value of keeping them both is very little.

ToDo:

1. On UI : `Description` should be replaced by `Title`

2. Description column should be removed from db.

Related issues:

Related to Hammer CLI - Bug #17304: hammer os: unify --description vs. --titl... Closed

History

#1 - 03/16/2017 08:49 AM - Swapnil Abnave

- Related to Bug #17304: hammer os: unify --description vs. --title for its subcommands added

#2 - 03/16/2017 08:50 AM - Swapnil Abnave

- Subject changed from OS: unify description vs title - keep title remove description to OS: unify description vs title - replace description with title on UI

#3 - 03/16/2017 10:07 AM - Thomas McKay

- Project changed from Katello to Foreman

- Category deleted (175)

#4 - 03/16/2017 10:09 AM - Swapnil Abnave

- Target version set to 177

#5 - 03/16/2017 11:37 AM - Swapnil Abnave

- Status changed from New to Pending

#6 - 06/15/2017 09:48 AM - Swapnil Abnave

- Target version changed from 177 to 1.17.0-RC1

#7 - 09/13/2017 01:59 AM - Swapnil Abnave

- Target version changed from 1.17.0-RC1 to 1.15.6

#8 - 09/13/2017 02:34 AM - Marek Hulán

IIRC os description has specific function. It's generated based on name and version. This might potentially be a big change and should be handled

carefully

#9 - 10/25/2017 09:30 AM - Swapnil Abnave

- Target version changed from 1.15.6 to 230
